#import "sysconfig.h"
#import "sysdeps.h"
#import "config.h"
#import "options.h"

#import "memory.h"

#import "custom.h"
#import "readcpu.h"
#import "newcpu.h"
#import "debug.h"

#import "Memory.h"
#import "RAM.h"
#import "Sony.h"
#import "Screen.h"

#define CTHREAD_NORMAL (0)
#define CTHREAD_RESET  (1)
#define CTHREAD_QUIT   (2)
#define CTHREAD_STOP   (3)

#define DEFAULT_NUM_INSTRUCTIONS (32640.0)

//
// used from vMacController
//

#ifndef EXTERN
#define EXTERN extern
#endif

EXTERN volatile int thread_condition;
EXTERN mutex_t conditionLock;
EXTERN condition_t done, resume, suspended;

EXTERN const int macDisplayHeight;
EXTERN const int macDisplayWidth;
EXTERN int lastmx, lastmy;
EXTERN int buttonstate;
EXTERN UBYTE vPage2;
EXTERN id theMacView;

// function
EXTERN void diskInsert(unsigned short tag, const char *filename);

// a keyword "Sound" makes something wrong in NEXTSTEP
typedef struct
{
    UBYTE FrameRate;
	char DrivePath[3][256];
	char ROMPath[3][256];
	UBYTE CurrentROMPath;
	UBYTE RAMSize;
	UBYTE NoXmouse;
	ULONG NumInstructions;
	UBYTE MacSound;
} Prefs;

EXTERN Prefs thePrefs;

EXTERN int TimerScreen;
