// PC - Mouse Functions

#include "sysconfig.h"
#include "sysdeps.h"
#include "config.h"
#include "options.h"

#include "custom.h"
#include "memory.h"
#include "Memory.h"
#include "Keyboard.h"

#include "readcpu.h"
#include "newcpu.h"  
#include "Mouse.h"
#include "Native.h" 
#include "VIA.h" 
#include "SCC.h"

#	ifdef _Mouse_Debug
#include <stdio.h>
#	endif

void Mouse_Update2 (void);

UBYTE X2 = 0;
UBYTE Y2 = 0;

int OldX = 0;
int OldY = 0;

extern volatile int lastmx, lastmy;
extern volatile int buttonstate;

void Mouse_Update2 ()
{
  ULONG NewMouse;
  UWORD v;
  UWORD h;
  extern SCC_Ty SCC;
  
  if ((SCC.A.WR[9] & 0x08) == 0x00) // SCC isn't activated yet
    return;
  
  // Convert to Mac Plus Co-Ords
  
  v = lastmy;
  h = lastmx;
  
  NewMouse = 0;
  NewMouse |= v << 16;
  NewMouse |= h;
  
  put_long(0x0828, NewMouse); // Set Mouse Position
  put_long(0x082C, NewMouse);
  put_long(0x0830, NewMouse);
  put_byte(0x08CE, 0xFF); // Tell MacOS to redraw the Mouse

}

// VIA Interface Functions

UBYTE VIA_GORB5 (void) // Mouse Y2
{
  return Y2;
}

UBYTE VIA_GORB4 (void) // Mouse X2
{
  return X2;
}

UBYTE VIA_GORB3 (void) // Mouse Button
{
  return !buttonstate;
}

void  VIA_PORB5 (UBYTE Data)
{
#	ifdef _VIA_Interface_Debug
  	printf("VIA ORB5 attempts to be an output\n");
#	endif
}

void  VIA_PORB4 (UBYTE Data)
{
#	ifdef _VIA_Interface_Debug
  	printf("VIA ORB4 attempts to be an output\n");
#	endif
}

void  VIA_PORB3 (UBYTE Data)
{
#	ifdef _VIA_Interface_Debug
  	printf("VIA ORB3 attempts to be an output\n");
#	endif
}
