 /* 
  * UAE - The Un*x Amiga Emulator
  * 
  * custom chip support
  *
  * (c) 1995 Bernd Schmidt
  */

extern void MacInterrupt (void);
extern void MacReset (void);
extern int custominit(void);
extern void customreset(void);
extern int intlev(void);

extern void do_disk(void);

extern UWORD dmacon;
extern UWORD intena, intreq;

extern int current_hpos (void);
extern int vpos;

static __inline__ int dmaen(unsigned int dmamask)
{
    return (dmamask & dmacon) && (dmacon & 0x200);
}

#define SPCFLAG_STOP 2
#define SPCFLAG_DISK 4
#define SPCFLAG_INT  8
#define SPCFLAG_BRK  16
#define SPCFLAG_EXTRA_CYCLES 32
#define SPCFLAG_TRACE 64
#define SPCFLAG_DOTRACE 128
#define SPCFLAG_DOINT 256
#define SPCFLAG_BLTNASTY 512
#define SPCFLAG_EXEC 1024
#define SPCFLAG_MODE_CHANGE 8192

extern UWORD adkcon;

extern void INTREQ(UWORD);
extern UWORD INTREQR(void);
extern UWORD DMACONR(void);

//IRIX CC needs a little new-line at the end of include files.

