#include "sysconfig.h"
#include "sysdeps.h"
#include "config.h"

#include <sys/time.h>
#include <signal.h>

#include "Screen.h"
#include "KernTimer.h"

static struct sigaction tick_sa;
static struct itimerval tick_tv;

void tick_handler(int foo)
{
        Screen_Draw();

/*
        if (thePrefs.Sound == 1)
                Audio_Update();
*/
}               

int TimerScreen;

void Tick_Setup (void) {

       	tick_sa.sa_handler = tick_handler;
      	tick_sa.sa_flags = 0;
       	sigemptyset(&tick_sa.sa_mask);
     	sigaction(SIGPROF, &tick_sa, NULL);
     	tick_tv.it_interval.tv_sec = 0;
     	tick_tv.it_interval.tv_usec = 16666;
      	tick_tv.it_value.tv_sec = 0;
       	tick_tv.it_value.tv_usec = 16666;
      	setitimer(ITIMER_PROF, &tick_tv, NULL);

	TimerScreen = 1;

	printf("vMac: Using 60Hz screen refresh.\n");
}
